package tutorialJava.examenes.examen20241025;

import tutorialJava.UtilsArrays;

public class EjD_OrdenacionEntreLimites {

	public static void main(String[] args) {
		int a[] = new int[15];
		
		UtilsArrays.inicializaArray(a, 0, 100);
		UtilsArrays.imprimeArray(a);		
		ordenaBurbuja(a, 2, 8);
		UtilsArrays.imprimeArray(a);
	}

	
	public static void ordenaBurbuja(int a[], int limInf, int limSup) {
		boolean hayIntercambios = false;
		do {
			hayIntercambios = false;
			for (int i = limInf; i <= limSup; i++) {
				if (a[i] > a[i + 1]) {
					int aux = a[i];
					a[i] = a[i + 1];
					a[i + 1] = aux;
					hayIntercambios = true;
				}
			}
		} while (hayIntercambios == true);
		
	}
}







